# Function $ViewDirectiveFill

- $ViewDirectiveFill($compile, $controller, $transitions, $view, $q): {
  compile: ((tElement: any) => ((scope: any, $element: any) => void));
  priority: number;
  restrict: string;
  }

- #### Parameters

  - $compile: any
  - $controller: any
  - $transitions: any
  - $view: any
  - $q: any

  #### Returns {
  compile: ((tElement: any) => ((scope: any, $element: any) => void));
  priority: number;
  restrict: string;
  }

  - ##### compile: ((tElement: any) => ((scope: any, $element: any) => void))

    - - (tElement): ((scope: any, $element: any) => void)

      - #### Parameters

        - tElement: any

        #### Returns ((scope: any, $element: any) => void)

        - - (scope, $element): void

          - #### Parameters

            - scope: any
            - $element: any

            #### Returns void

  - ##### priority: number

  - ##### restrict: string

  - Defined in router/directives/view-directive.js:297

#####
Index

### Properties

$inject

##
Properties

### $inject

$inject: string[]

- Defined in router/directives/view-directive.js:290